Bug 1821274 - OperatorHub filtering keyword limits
Summary: OperatorHub filtering keyword limits
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: OLM
Version: 4.4
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.4.z
Assignee: Alexander Greene
QA Contact: yhui
URL:
Whiteboard:
Depends On: 1812019
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-06 13:17 UTC by bpeterse
Modified: 2020-08-18 11:46 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Some Metadata featured on the CSV was not being ported via the packagemanifest type. Consequence: The operatorhub UI was unable to filter the operators based on keyword that were not present in the packagemanifest. Fix: OLM now makes the following CSV information available in the packagemanifest: * Keywords * Maturity * NativeAPIs * MinKubeVersion * RelatedImages * Links * Maintainers Result: The OperatorHub UI is now able to filter based on metadata mentioned above.
Clone Of: 1812019
Environment:
Last Closed: 2020-08-18 11:45:28 UTC
Target Upstream Version:


Attachments (Terms of Use)
Screenshot of keyword vm search (168.26 KB, image/png)
2020-07-16 07:56 UTC, yhui
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github operator-framework operator-lifecycle-manager pull 1552 0 None closed Bug 1821274: Add CSV Metadata to PackageManifests 2020-08-18 08:45:17 UTC
Red Hat Product Errata RHBA-2020:3334 0 None None None 2020-08-18 11:46:11 UTC

Comment 2 Vu Dinh 2020-05-28 14:51:26 UTC
The cherry-pick PR is ready but not yet approved.

Comment 3 Nick Hale 2020-06-04 14:28:22 UTC
Awaiting cherry-pick-approval.

Comment 8 yhui 2020-07-16 07:54:38 UTC
Version:
[root@preserve-olm-env ~]# oc get clusterversion
NAME      VERSION   AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.4.13    True        False         3h6m    Cluster version is 4.4.13
[root@preserve-olm-env ~]# oc exec catalog-operator-77fc55cdf8-vthhr -n openshift-operator-lifecycle-manager -- olm --version
OLM version: 0.14.2
git commit: 0326066b8b2f87a1feec4c2bd9fdc8622ef5e1a0

Steps to test:
1. check whether the keywords have been added into packagemanifests.
[root@preserve-olm-env ~]# oc get packagemanifests -o yaml | grep keywords | wc -l
0
[root@preserve-olm-env ~]# oc get packagemanifests -o yaml | grep keywords
[root@preserve-olm-env ~]#

The keywords are not added to packagemanifests.

2. Check the keyword VM
[root@preserve-olm-env ~]# oc get packagemanifests -o yaml | grep keywords  -A 5 |grep VM
[root@preserve-olm-env ~]#

There is no keyword VM in the packagemanifests.

3. Search the keyword VM in the OperatorHub on the UI.
No results.

The issue has not been fixed. Assigned it.

Comment 9 yhui 2020-07-16 07:56:46 UTC
Created attachment 1701344 [details]
Screenshot of keyword vm search

Comment 12 Alexander Greene 2020-07-30 14:46:20 UTC
yhui@redhat.com

I repeated your steps and the keywords were present in the packagemanifests:

oc exec catalog-operator-784cc87f6-pr9mz -n openshift-operator-lifecycle-manager -- olm --version
OLM version: 0.14.2
git commit: d1ebc80b9ac1612b003f2f0f36639d7edca45f39

oc get packagemanifests -o yaml | grep keywords | wc -l
418

oc get packagemanifests -o yaml | grep keywords
        keywords:
        keywords:
        keywords:
        keywords:
        keywords:
        keywords:
        keywords:
        keywords:
...
...
...

 oc get packagemanifests -o yaml | grep keywords  -A 5 |grep VM
        - VM
        - VM

Comment 13 Alexander Greene 2020-07-30 14:47:29 UTC
The test above was performed on a 4.4.15 cluster:

$ oc get clusterversion
NAME      VERSION   AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.4.15    True        False         28m     Cluster version is 4.4.15

Comment 14 Alexander Greene 2020-07-30 14:54:53 UTC
I will add that the UI doesn't seem to filter based on the existing keywords, but the data is available in the packagemanfiest and will need to be fixed in console.

Comment 15 yhui 2020-08-03 04:36:47 UTC
Version:
[hui@bogon ~]$ oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.4.0-0.nightly-2020-08-01-220435   True        False         11m     Cluster version is 4.4.0-0.nightly-2020-08-01-220435
[hui@bogon ~]$ oc exec catalog-operator-64b687c6c5-k6rcr -n openshift-operator-lifecycle-manager -- olm --version
OLM version: 0.14.2
git commit: d1ebc80b9ac1612b003f2f0f36639d7edca45f39

Steps to test:
1. check whether the keywords have been added into packagemanifests.
[hui@bogon ~]$ oc get packagemanifests -o yaml | grep keywords | wc -l
463
[hui@bogon ~]$ oc get packagemanifests -o yaml | grep keywords  -A 2
        keywords:
        - ptp
        links:
--
        keywords:
        - ptp
        links:
--
        keywords:
        - ptp
        links:
--
        keywords:
        - security
        - encryption
--
        keywords:
        - database
        - distributed-SQL
--
        keywords:
        - database
        - distributed-SQL
--
The keywords have been added to packagemanifests.

2. Check the keyword VM.
[hui@bogon ~]$ oc get packagemanifests -o yaml | grep keywords  -A 5 |grep VM
        - VM
        - VM
The keyword VM has been added into packagemanifests.

3. Login to the web console, search the keyword VM on the OperatorHub. There is no results.
No Results Match the Filter Criteria

Since this bug only test the packagemanifests, no console. Verify the bug.

Comment 18 errata-xmlrpc 2020-08-18 11:45:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.4.17 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:3334


Note You need to log in before you can comment on or make changes to this bug.